| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Misc.Tooltips

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods

Description
Add tips to your widgets
Synopsis

data Tooltips
class ObjectClass o => TooltipsClass o
castToTooltips :: GObjectClass obj => obj -> Tooltips
toTooltips :: TooltipsClass o => o -> Tooltips
tooltipsNew :: IO Tooltips
tooltipsEnable :: TooltipsClass self => self -> IO ()
tooltipsDisable :: TooltipsClass self => self -> IO ()
tooltipsSetDelay :: TooltipsClass self => self -> Int -> IO ()
tooltipsSetTip :: (TooltipsClass self, WidgetClass widget) => self -> widget -> String -> String -> IO ()
tooltipsDataGet :: WidgetClass w => w -> IO (Maybe (Tooltips, String, String))

Detail

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time. They are especially helpful for adding more verbose descriptions of things such as buttons in a toolbar.

An individual tooltip belongs to a group of tooltips. A group is created with a call to `tooltipsNew`. Every tooltip in the group can then be turned off with a call to `tooltipsDisable` and enabled with `tooltipsEnable`.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Tooltips

Types
data Tooltips

Instances

GObjectClass Tooltips
TooltipsClass Tooltips
ObjectClass Tooltips

class ObjectClass o => TooltipsClass o

Instances

TooltipsClass Tooltips

castToTooltips :: GObjectClass obj => obj -> Tooltips
toTooltips :: TooltipsClass o => o -> Tooltips
Constructors
tooltipsNew :: IO Tooltips
Create a new goup of `Tooltips`.
Methods
tooltipsEnable :: TooltipsClass self => self -> IO ()
Allows the user to see your tooltips as they navigate your application.
tooltipsDisable :: TooltipsClass self => self -> IO ()
Causes all tooltips in `tooltips` to become inactive. Any widgets that have tips associated with that group will no longer display their tips until they are enabled again with `tooltipsEnable`.
tooltipsSetDelay

:: TooltipsClass self |
=> self |
-> Int | `delay` - the delay in milliseconds
-> IO () |

Sets the time between the user moving the mouse over a widget and the widget's tooltip appearing.

- Warning: this function is deprecated and should not be used in newly-written code.

tooltipsSetTip

:: (TooltipsClass self, WidgetClass widget) |
=> self |
-> widget | `widget` - the `Widget` you wish to associate the tip with.
-> String | `tipText` - a string containing the tip itself.
-> String | `tipPrivate` - a string of any further information that may be useful if the user gets stuck.
-> IO () |
Adds a tooltip containing the message `tipText` to the specified `Widget`.

tooltipsDataGet :: WidgetClass w => w -> IO (Maybe (Tooltips, String, String))
Retrieves any `Tooltips` previously associated with the given widget.
Produced by Haddock version 2.4.2